﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Boucles
{
    class Program
    {
        static void Main(string[] args)
        {
            // illustration des boucles en C#
            Console.WriteLine("Somme des n premiers entiers");
            Console.WriteLine("avec while");
            int n = ReadInt("un nombre");
            Console.WriteLine("la somme est " + SommeWhile(n));
            n = ReadInt("un autre nombre");
            Console.WriteLine("avec for");
            Console.WriteLine("la somme est " + SommeFor(n));
 
            // exemple de boucle do while pour exécuter plusieurs fois
            // une action
            do
            {
                n = ReadInt(" nombre, 0 si vous voulez vous arrêter");
                Console.WriteLine("la somme est " + SommeWhile(n));
            } while (n != 0);

        }
        static int SommeWhile(int n)
        {
            int s=0, i = 0;
            while (i <= n)
            {
                s += i;
                i++;
            }
            return s;
        }

        static int SommeFor(int n)
        {
            int s= 0;
            for (int i=0;i<=n;i++)
            {
                s += i;
            }
            return s;
        }

        static void Wait()
        {
            Console.ReadLine();
        }

        static int ReadInt(String message)
        {
            Console.WriteLine(message);
            return Convert.ToInt32(Console.ReadLine());
        }

    }
}
